Post by i2Paq » Wed Mar 02, 2016 11:14 pm

BUGs should be posted at the OpenCart GitHub Issue tracker.

Download OpenCart 2.2.0.0

This topic is for clean installs (NO UPGRADE) where issue's occur and you can post your problem here and hopefully your will get an answer.

Norman in 't Veldt
Moderator OpenCart Forums

_________________ READ and Search BEFORE POSTING _________________

Our FREE search: Find your answer FAST!.

[How to] BTW + Verzend + betaal setup.


User avatar
Global Moderator

Posts

Joined
Mon Nov 09, 2009 7:00 pm
Location - Winkel - The Netherlands

Post by IP_CAM » Thu Mar 03, 2016 12:04 am

I just wonder, how long it's still gonna take, until one of the Masters, around here, find's out,
so the OLD v.1.5 to v.1.5 Upgrade Info Read_Me File will be removed from the Package. :crazy:
The very best, this file does, is, adding to a huge amount of problems.
Ernie

I'm no longer active at the OC Forum. To reach me, contact: jti@jacob.ch
A Demoversion of my free OpenCart LIGHT v.1.5.6.5 Software Edition
can be seen in Action here: http://www.jti.li/shop/
---
940+ FREE OC Extension-Repositories - from OC v.1.5.x up,
on the world's largest OC-related Github Site: https://github.com/IP-CAM
---
Image


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by sculptex » Thu Mar 03, 2016 10:08 pm

* REMOVED *

* TIP * Check github BEFORE posting here!

ImageImage


User avatar
Active Member

Posts

Joined
Tue Sep 13, 2011 3:07 am
Location - UK

Post by labeshops » Thu Mar 03, 2016 11:38 pm

Had no problem installing 2.2 fresh into a test installation, however captcha is not showing on contact form, reviews or anywhere it is enabled for.

In settings, the Captcha drop down has no options, just says --None-- which I suspect is the issue but I don't know how to get something to show there that I can select??

EDIT: Not a bug. Just a problem not understanding how this changed in v2. Have it set up now properly and it works fine so please ignore.

Running Opencart v2.2 with multi-stores from http://www.labeshops.com which has links to all my stores.

Image


User avatar
Expert Member

Posts

Joined
Thu Aug 04, 2011 4:41 am
Location - Florida, USA

Post by allenshea » Fri Mar 04, 2016 8:15 am

I'm not familiar with OpenCart GitHub Issue tracker, I think most of users too. So once the bug fixed, can you guys release a VQMod or OCMod here at the 1st post, so we can download and upload to our site?

I know nothing about PHP and SQL, but I still try my best to understand it.


Active Member

Posts

Joined
Mon Dec 14, 2009 10:01 pm

Post by sculptex » Fri Mar 04, 2016 5:38 pm

First, get vqmod patched to handle the templates in 2.2
(credit: siriusdev - https://github.com/vqmod/vqmod/issues/71)

*REMOVED - get latest vqmod from offical site instead* (https://github.com/vqmod/vqmod/releases)

Then apply patches via vqmod:-
Fix customers (credit: nikto1 - https://github.com/opencart/opencart/issues/4030)
UPDATED VQMOD CODE IN MY MOST RECENT POST IN THIS THREAD- SCROLL DOWN
Last edited by sculptex on Tue Mar 08, 2016 9:04 pm, edited 3 times in total.

ImageImage


User avatar
Active Member

Posts

Joined
Tue Sep 13, 2011 3:07 am
Location - UK

Post by allenshea » Fri Mar 04, 2016 7:01 pm

Thanks for the posting.

Can you upload the file as below in the 1st post, and update it once new bug fixed?

This will be easy for newbe or the one who don't know much about OpenCart GitHub Issue tracker.
OC2.2.0.0 Bug Fix.xml
Last edited by allenshea on Sat Mar 05, 2016 9:08 pm, edited 1 time in total.

I know nothing about PHP and SQL, but I still try my best to understand it.


Active Member

Posts

Joined
Mon Dec 14, 2009 10:01 pm

Post by sculptex » Sat Mar 05, 2016 1:44 am

the vqmod patch is best kept separate because there will probably be an official release soon which will then override this one.
The vqmod patch is nothing to do with oc 2.2.0.0 bugs as such, I just posted it there for convenience.

ImageImage


User avatar
Active Member

Posts

Joined
Tue Sep 13, 2011 3:07 am
Location - UK

Post by EvolveWebHosting » Sat Mar 05, 2016 10:18 am

Clean Install.

Click on 'Pending Approval' from the upper right drop down menu and you'll get this error:


Parse error: syntax error, unexpected '&&' (T_BOOLEAN_AND), expecting ')' in /home/___/public_html/admin/controller/customer/customer.php on line 1105

You can also get the same error buy following customers -->> customers from the main menu.

Image
https://www.evolvewebhost.com
$10.49 .com Registration and $9.99 .com Transfers in now
Guaranteed top level opencart performance and support. Risk free 30 day money back guarantee & free transfers.
Image


User avatar
Active Member

Posts

Joined
Fri Mar 27, 2015 11:13 pm
Location - Denver, Colorado, USA

Post by sculptex » Sat Mar 05, 2016 5:42 pm

@EvolveWebHosting yes the customer bug is the script I posted above.

vqmod has been updated so don't use my above script, go to official site and get latest from there
https://github.com/vqmod/vqmod/releases

@allenshea, please correct your above post to remove the vqmod update script as this will only cause more problems.

ImageImage


User avatar
Active Member

Posts

Joined
Tue Sep 13, 2011 3:07 am
Location - UK

Post by EvolveWebHosting » Sun Mar 06, 2016 12:16 am

sculptex wrote:@EvolveWebHosting yes the customer bug is the script I posted above.
Thanks! For some reason, I looked right past it yesterday.

Image
https://www.evolvewebhost.com
$10.49 .com Registration and $9.99 .com Transfers in now
Guaranteed top level opencart performance and support. Risk free 30 day money back guarantee & free transfers.
Image


User avatar
Active Member

Posts

Joined
Fri Mar 27, 2015 11:13 pm
Location - Denver, Colorado, USA

Post by gob33 » Sun Mar 06, 2016 8:17 am

If you use another language than english, you have no locale defined and can't use PHP setlocale(), strftime()
This comes from the new language directory structure adopted and implemented.
https://github.com/opencart/opencart/issues/4050

All my extensions


Active Member

Posts

Joined
Wed Feb 10, 2010 8:43 am
Location - France

Post by godesigns » Sun Mar 06, 2016 12:15 pm

Why would OpenCart decide to change the Language folder from "english" to "en-gb"?

Gary

Newbie

Posts

Joined
Wed Jul 31, 2013 11:26 pm

Post by OSWorX » Sun Mar 06, 2016 5:26 pm

godesigns wrote:Why would OpenCart decide to change the Language folder from "english" to "en-gb"?

Gary
Because naming languages xx-yy (better would be xx-YY) should be done since 1.5. and many years.
Now this naming convention is much better then only using english or french etc.
Why?
Because every language has dialects, English is not only English, there is gb, us, etc. (same with many other major languages like German which has de, at, ch, etc.)
Beside this, nearly every 3PD library like moment, bootstrap, summernote etc. is using xx-yy or xx-YY

Custom Development | Individuelle Entwicklung | Support & Bugfixes

Image Image Image


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by adadra » Sun Mar 06, 2016 11:11 pm

Hi All
I have one problem
I write post in V 2.10.1 Bug but seems this topic is locked
this is link : viewtopic.php?f=191&t=152650&start=40#p605829

How can i Solve this problem?

Please help

Newbie

Posts

Joined
Fri Feb 26, 2016 9:23 pm

Post by godesigns » Tue Mar 08, 2016 12:05 am

OSWorX wrote:
godesigns wrote:Why would OpenCart decide to change the Language folder from "english" to "en-gb"?

Gary
Because naming languages xx-yy (better would be xx-YY) should be done since 1.5. and many years.
Now this naming convention is much better then only using english or french etc.
Why?
Because every language has dialects, English is not only English, there is gb, us, etc. (same with many other major languages like German which has de, at, ch, etc.)
Beside this, nearly every 3PD library like moment, bootstrap, summernote etc. is using xx-yy or xx-YY
I understand the reason for the change, it's just a major change is all.

As late as Version 2.1.0.2 a standard clean install had "english" listed. The issue comes into play with all the extension, just another thing to check and change.

And if it was an issue dating back to Version 1.5, why not the change in version 2.0?

Newbie

Posts

Joined
Wed Jul 31, 2013 11:26 pm

Post by donaceli » Tue Mar 08, 2016 7:17 am

Hi, I've updated to the latest vqmod, but the error is still there.

Parse error: syntax error, unexpected '&&' (T_BOOLEAN_AND), expecting ')' in /home/user/public_html/dev/admin/controller/customer/customer.php on line 1105

Can you give me any directions please?


Thanks.

New member

Posts

Joined
Thu Jun 11, 2015 5:53 pm

Active Member

Posts

Joined
Wed Mar 20, 2013 4:49 pm
Location - Slovenia

Post by donaceli » Tue Mar 08, 2016 6:52 pm

Thanks daniGo! The customer.php worked like magic. I have copied the raw file and pasted it over the original file. This made sure I don't mis any parentheses or brackets.

Another bunch of errors appear when I access Dashboard. Any ideas? Appreciate a ton!

Warning: vsprintf(): Too few arguments in /home/user/public_html/demo/admin/controller/dashboard/activity.php on line 19Warning: vsprintf(): Too few arguments in /home/user/public_html/demo/admin/controller/dashboard/activity.php on line 19Warning: vsprintf(): Too few arguments in /home/user/public_html/demo/admin/controller/dashboard/activity.php on line 19Warning: vsprintf(): Too few arguments in /home/user/public_html/demo/admin/controller/dashboard/activity.php on line 19Warning: vsprintf(): Too few arguments in /home/user/public_html/demo/admin/controller/dashboard/activity.php on line 19

New member

Posts

Joined
Thu Jun 11, 2015 5:53 pm

Post by adadra » Tue Mar 08, 2016 7:00 pm

adadra wrote:Hi All
I have one problem
I write post in V 2.10.1 Bug but seems this topic is locked
this is link : viewtopic.php?f=191&t=152650&start=40#p605829

How can i Solve this problem?

Please help
anyone?

Newbie

Posts

Joined
Fri Feb 26, 2016 9:23 pm
Who is online

Users browsing this forum: No registered users and 6 guests